
Boot disk - Refactor #34674

Use new DSL to define settings

03/24/2022 02:44 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

bootdisk/pull/117

  

Description

SSIA

Related issues:

Related to Foreman - Refactor #34603: Deprecate other than DSL setting defini... Closed

Related to Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

Associated revisions

Revision 46df9e52 - 03/30/2022 06:51 AM - Lukas Zapletal 

Fixes #34674 - deprecate non-DSL settings

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 03/24/2022 02:44 PM - Lukas Zapletal

- Related to Refactor #34603: Deprecate other than DSL setting definitions added

#2 - 03/24/2022 02:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman_bootdisk/pull/117 added

#3 - 03/24/2022 05:00 PM - Ondřej Ezr

- Tracker changed from Bug to Refactor

- Subject changed from Deprecate old settings to Use new DSL to define settings

#4 - 03/24/2022 05:01 PM - Ondřej Ezr

- Related to Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#5 - 03/30/2022 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman_bootdisk|46df9e52d89df9876759dc690e1d8a6243938fcc.
